%define plugins_ver 0.90
%define plugins_lfc_ver 0.90

Name: childsplay
Version: 0.90.1
Release: alt2.1.qa1

License: GPL v3+
Group: Games/Educational
Url: http://childsplay.sourceforge.net/

Summary: Games for children with plugins

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sourceforge.net/childsplay/%name-%version.tar.bz2
Source1: http://dl.sourceforge.net/childsplay/%{name}_plugins-%plugins_ver.tar.bz2
Source2: http://dl.sourceforge.net/childsplay/%{name}_plugins_lfc-%plugins_lfc_ver.tar.bz2
Source3: %name.desktop
Patch0: %name-install.patch
Patch1: %name-fixes.patch

BuildArch: noarch

%add_python_lib_path %_datadir/%name/

# Automatically added by buildreq on Wed Oct 24 2007 (-bi)
BuildRequires: python-modules-encodings

%description
Childsplay is a 'suite' of educational games for young children, like
gcompris, but without the overkill of C/C++ and the GNOME environment.
Also the use of the SDL libraries makes smooth animation and the
playing of sound very easy.

%prep
%setup -q -a1 -a2
%patch0 -p1

cat <<'EOF' >childsplay.sh
#!/bin/sh
exec python %_datadir/childsplay/childsplay.py $@
EOF

cat <<'EOF' >BASEPATH.py
BASEPATH = "%prefix"
EXECDIR = "%_bindir"
LOCALEDIR = "%_datadir/locale"
ASSETMLDIR = "%_datadir/assetml"
SCOREDIR = "/var/games/"
SCOREFILE = "/var/games/childsplay.score"
DOCDIR =  "%_docdir/childsplay"
MANDIR = "%_man6dir"
CPDIR = "%_datadir/childsplay"
SHAREDIR = "%_datadir/childsplay"
BINDIR = "%_bindir"
LIBDIR = "%_datadir/childsplay/lib"
MODULESDIR = "%_datadir/childsplay/lib"
SHARELIBDATADIR = "%_datadir/childsplay/lib"
SHAREDATADIR = "%_datadir/childsplay/Data"
RCDIR = "%_datadir/childsplay/lib/ConfigData"
CHILDSPLAYRC = "childsplayrc"
HOME_DIR_NAME = ".childsplayrc"
EOF

%install
install -d %buildroot%_datadir/{%name/lib/{ConfigData,MemoryData},locale,assetml} \
%buildroot{%_bindir,%_desktopdir,%_pixmapsdir,%_man6dir,/var/games}
install -Dp -m755 childsplay.sh %buildroot%_bindir/childsplay
gzip -dc man/childsplay.6.gz >%buildroot%_man6dir/childsplay.6

install -m644 %SOURCE3 %buildroot%_desktopdir/
install -m644 Data/logo_cp_32x32.png %buildroot%_pixmapsdir/%name.png

cp -fr Data/childsplay.score %buildroot/var/games/%name.score
cp -fr *.py %buildroot%_datadir/%name
cp -fr Data/ %buildroot%_datadir/%name
cp -fr lib %buildroot%_datadir/%name
cp -fr locale %buildroot%_datadir
cp -fr assetml %buildroot%_datadir

cd childsplay_plugins-%plugins_ver
cp -fr lib/* %buildroot%_datadir/%name/lib
cp -fr Data/*.icon.png %buildroot%_datadir/%name/Data/icons
cp -fr Data/AlphabetSounds %buildroot%_datadir/%name/Data
cp -fr assetml/childsplay %buildroot%_datadir/assetml
%__python add-score.py %buildroot/var/games/ "Packid,Numbers"
cd ..

cd childsplay_plugins_lfc-%plugins_lfc_ver
cp -fr lib/* %buildroot%_datadir/%name/lib
cp -fr Data/*.icon.png %buildroot%_datadir/%name/Data/icons
cp -fr assetml/childsplay %buildroot%_datadir/assetml
cd ..

#py_comp %buildroot%_datadir/%name
#py_ocomp %buildroot%_datadir/%name

#find  %buildroot%_datadir -maxdepth 2 -name "*.py" | xargs rm
#find  %buildroot%_datadir/%name/lib -name "*.py[c,o]" | xargs rm

rm -f %buildroot%_datadir/%name/BASEPATH.py*
cp BASEPATH.py %buildroot%_datadir/%name

%find_lang %name

%postun -n childsplay
%clean_menus


%post -n childsplay
%update_menus


%files -f %name.lang
%doc README* doc/README* doc/Changelog
%_man6dir/*
%_bindir/childsplay
%_datadir/%name/
# XXX: shared with gcompris
%dir %_datadir/assetml/
%_datadir/assetml/*
%_desktopdir/%name.desktop
%_pixmapsdir/%name.png
%attr(0777,root,root) /var/games/%name.score


%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.90.1-alt2.1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for childsplay

* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.90.1-alt2.1
- Rebuilt with python-2.5.

* Tue Dec 18 2007 Vitaly Lipatov <lav@altlinux.ru> 0.90.1-alt2
- add patch for fix bug #13571 (thanks to Slava Semushin php-coder@)
- fix desktop file permissions

* Wed Oct 24 2007 Vitaly Lipatov <lav@altlinux.ru> 0.90.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

